sc::RedundantCartesianIter(3)

NAME
sc::RedundantCartesianIter - RedundantCartesianIter objects loop through all possible combinations of a given number of axes.

SYNOPSIS

#include <cartiter.h>

Inherited by sc::RedundantCartesianIterV3.

  Public Methods
RedundantCartesianIter (int l)
Create a object for the given angular momentum.
virtual ~RedundantCartesianIter ()
virtual int bfn ()=0
Return the current Cartesian basis function number.
void start ()
Initialize the iterator.
void next ()
Move to the next combination of axes.
operator int ()
Returns nonzero if the iterator currently hold valid data.
int a ()
The current exponent of x.
int b ()
The current exponent of y.
int c ()
The current exponent of z.
int l ()
The angular momentum.
int l (int i)
Returns a() if i==0, b() if i==1, and c() if i==2.
int axis (int i)
Return the i'th axis.

DETAILED DESCRIPTION

RedundantCartesianIter objects loop through all possible combinations of a given number of axes.

This is used to compute the transformation matrices that maps a set of Cartesian functions into to another set of Cartesian functions in a rotated coordinate system.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.